Множественные уязвимости в ядре Linux

Дата публикации:
21.08.2006
Дата изменения:
01.09.2008
Всего просмотров:
1339
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3745
CVE-2006-4145
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel версии до 2.6.17.10

Описание:
Обнаруженные уязвимости пользователю локальному пользователю вызвать отказ в обслуживании и повысить свои привилегии на системе.

1. Уязвимость существует из-за ошибки в UDF, которая позволяет локальному пользователю посредством удаления определенных файлов вызвать отказ в обслуживании системы.

2. Уязвимость существует из-за ошибки в функции "elv_unregister()" при загрузке модуля. Локальный пользователь может завершить работу задачи или процесса и вызвать отказ в обслуживании системы.

3. Уязвимость существует из-за ошибки в функции "sctp_make_abort_user()" модуля SCTP. Локальный пользователь может выполнить произвольный код на целевой системе с повышенными привилегиями.

URL производителя: www.kernel.org

Решение: Установите последнюю версию 2.6.17.10 с сайта производителя.

Ссылки: UDF filesystem has some bugs on truncating
http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.17.10
http://lkml.org/lkml/2006/6/16/6

или введите имя

CAPTCHA